Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.wst.wsdl
Interface WSDLFactory

    public interface WSDLFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

Since:
  1.0
See Also:
  `WSDLPackage`

Field Summary
`static WSDLFactory` | `eINSTANCE` The singleton instance of the factory

Method Summary
`Binding` | `createBinding()` Returns a new object of class 'Binding'
`BindingFault` | `createBindingFault()` Returns a new object of class 'Binding Fault'
`BindingInput` | `createBindingInput()` Returns a new object of class 'Binding Input'
`BindingOperation` | `createBindingOperation()` Returns a new object of class 'Binding Operation'
`BindingOutput` | `createBindingOutput()` Returns a new object of class 'Binding Output'
`Definition` | `createDefinition()` Returns a new object of class 'Definition'
`ExtensibilityElement` | `createExtensibilityElement()` Returns a new object of class 'Extensibility Element'
`Fault` | `createFault()` Returns a new object of class 'Fault'
`Import` | `createImport()` Returns a new object of class 'Import'
`Input` | `createInput()` Returns a new object of class 'Input'
`Message` | `createMessage()` Returns a new object of class 'Message'
`Namespace` | `createNamespace()` Returns a new object of class 'Namespace'
`Operation` | `createOperation()` Returns a new object of class 'Operation'
`Output` | `createOutput()` Returns a new object of class 'Output'
`Part` | `createPart()` Returns a new object of class 'Part'
`Port` | `createPort()` Returns a new object of class 'Port'
`PortType` | `createPortType()` Returns a new object of class 'Port Type'
`Service` | `createService()` Returns a new object of class 'Service'
`Types` | `createTypes()` Returns a new object of class 'Types'
`UnknownExtensibilityElement` | `createUnknownExtensibilityElement()` Returns a new object of class 'Unknown Extensibility Element'
`XSDSchemaExtensibilityElement` | `createXSDSchemaExtensibilityElement()` Returns a new object of class 'XSD Schema Extensibility Element'
`WSDLPackage` | `getWSDLPackage()` Returns the package supported by this factory

Field Detail

### eINSTANCE

    static final WSDLFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createPortType

    PortType createPortType()

  Returns a new object of class 'Port Type'.

  Returns:
    a new object of class 'Port Type'.

### createOperation

    Operation createOperation()

  Returns a new object of class 'Operation'.

  Returns:
    a new object of class 'Operation'.

### createMessage

    Message createMessage()

  Returns a new object of class 'Message'.

  Returns:
    a new object of class 'Message'.

### createPart

    Part createPart()

  Returns a new object of class 'Part'.

  Returns:
    a new object of class 'Part'.

### createBinding

    Binding createBinding()

  Returns a new object of class 'Binding'.

  Returns:
    a new object of class 'Binding'.

### createBindingOperation

    BindingOperation createBindingOperation()

  Returns a new object of class 'Binding Operation'.

  Returns:
    a new object of class 'Binding Operation'.

### createService

    Service createService()

  Returns a new object of class 'Service'.

  Returns:
    a new object of class 'Service'.

### createPort

    Port createPort()

  Returns a new object of class 'Port'.

  Returns:
    a new object of class 'Port'.

### createExtensibilityElement

    ExtensibilityElement createExtensibilityElement()

  Returns a new object of class 'Extensibility Element'.

  Returns:
    a new object of class 'Extensibility Element'.

### createDefinition

    Definition createDefinition()

  Returns a new object of class 'Definition'.

  Returns:
    a new object of class 'Definition'.

### createImport

    Import createImport()

  Returns a new object of class 'Import'.

  Returns:
    a new object of class 'Import'.

### createInput

    Input createInput()

  Returns a new object of class 'Input'.

  Returns:
    a new object of class 'Input'.

### createOutput

    Output createOutput()

  Returns a new object of class 'Output'.

  Returns:
    a new object of class 'Output'.

### createFault

    Fault createFault()

  Returns a new object of class 'Fault'.

  Returns:
    a new object of class 'Fault'.

### createBindingInput

    BindingInput createBindingInput()

  Returns a new object of class 'Binding Input'.

  Returns:
    a new object of class 'Binding Input'.

### createBindingOutput

    BindingOutput createBindingOutput()

  Returns a new object of class 'Binding Output'.

  Returns:
    a new object of class 'Binding Output'.

### createBindingFault

    BindingFault createBindingFault()

  Returns a new object of class 'Binding Fault'.

  Returns:
    a new object of class 'Binding Fault'.

### createNamespace

    Namespace createNamespace()

  Returns a new object of class 'Namespace'.

  Returns:
    a new object of class 'Namespace'.

### createTypes

    Types createTypes()

  Returns a new object of class 'Types'.

  Returns:
    a new object of class 'Types'.

### createUnknownExtensibilityElement

    UnknownExtensibilityElement createUnknownExtensibilityElement()

  Returns a new object of class 'Unknown Extensibility Element'.

  Returns:
    a new object of class 'Unknown Extensibility Element'.

### createXSDSchemaExtensibilityElement

    XSDSchemaExtensibilityElement createXSDSchemaExtensibilityElement()

  Returns a new object of class 'XSD Schema Extensibility Element'.

  Returns:
    a new object of class 'XSD Schema Extensibility Element'.

### getWSDLPackage

    WSDLPackage getWSDLPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD